Subject: Re: bug#23594: 25.0.94; Display errors on Linux tty

From: Alan Mackenzie <[email-masked]>
Date: Sat, 21 May 2016 19:01:10 +0000

Hello, Eli.

On Sat, May 21, 2016 at 08:22:05PM +0300, Eli Zaretskii wrote:
> > Date: Sat, 21 May 2016 10:47:20 +0000
> > From: Alan Mackenzie <[email-masked]>

> > emacs -Q
> > C-x b foo.c
> > M-x c-mode

> > Type the following five lines into the buffer:
> > #########################################################################
> > char foo [] = "foo";

> > #define FOO BAR

> > char bar [] = "bar";
> > #########################################################################

> > Move point to just after "BAR" on line 3.
> > C-u C-x =

> > There are now two display bugs evident:
> > 1. The vertical divider between the two windows is missing a piece just
> > after the line "  decomposition: (10) ('" in *Help*.

> > 2. In foo.c, the actual text display is out of sync with the text cursor.
> > The text has been scrolled one line up, but the cursor has remained at
> > the same position in the window, apparently at the end of a non-existent
> > line of spaces.  The cursor can be freely moved, but is one line out of
> > sync with the displayed text.

> I see this, but I don't understand why you needed the c-mode stuff and
> the text.  the same problem happens in a buffer in Fundamental mode
> when you invoke "C-u C-x =" at a newline.

Hmm.  Maybe I wanted to take some of the blame.  ;-)

> This bug exists since we started showing the 'decomposition' of
> characters in Emacs 24.1.  With LF, we send a literal LF character to
> the screen.

OK.  The next question is is it easy to fix?

-- 
Alan Mackenzie (Nuremberg, Germany).